
CoCoA-5 - Bug #1708

Linux: just 1 executable, should be 2 (with & without readline)

02 Nov 2022 10:31 - John Abbott

Status: New Start date: 02 Nov 2022

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Release Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.25 hour

Description

We are distributing CoCoA-5 with just a single executable (with readline).

We should be distributing 2 versions: one with and one without readline.

See #1479

History

#1 - 02 Nov 2022 10:33 - John Abbott

We had already discussed this about 2 years ago (issue #1479)

The script is ready to handle the case of 2 executables,

but we put only one executable in the release.

The other option would be to link statically with everything that readline needs...

I suspect that that is hard to do, as we would already have done so if it were easy.

#2 - 16 Nov 2022 15:45 - John Abbott

- Subject changed from Linux: just 1 execuable, should be 2 (with & without readline) to Linux: just 1 executable, should be 2 (with & without readline)
